
#define IsEmpty(c) ((c)==NULL || (c)[0] == 0) 

#define TimerID         10

#define szLNG                 "ENG"
#define szSectionName         "DisksEx"
#define szSkin                "Skin"
#define szTextRect            "TextRect"
#define szTextFormat          "TextForma"
#define szTextAlign           "TextAlign"
#define szTextColor           "TextColor"
#define szShadow              "Shadow"
#define szShadowColorH        "ShColor"
#define szFont                "Font"
#define szFrames              "Frames"

#define szZOrder              "@ZOrder"
#define szTransparency        "@Transparency"
#define szLockPosition        "@Lock position"
#define szProgressOffsetX     "@ProgressOffsetX"
#define szProgressOffsetY     "@ProgressOffsetY"
#define szBgSkin              "@BgSkin"
#define szGlassSkin           "@GlassSkin"

static char* szPicturesTypes = "*.bmp;*.png;*.jpg;*.ank;*.ankz";
static char* szPicListTypes = "*.bmp;*.png;*.jpg";


static TKey Keys[] = {
    //                 GENERAL
    {
		    szGeneralHint,  KEY_TAB, szGeneralHint, 0,0,0
    }, 
    {
       szTextFormat,     KEY_STRING,    szTextFormatHint, 0, 0, 0
    },
    {
        szZOrder, KEY_LIST, szZOrderHint, 0,  ZOrderCount,   (int)&ZOrderList
    },
    {
        szLockPosition, KEY_BOOL | KEY_NOTHEME, szLockPositionHint, 0, 0, 0
    },
    {
        szTransparency, KEY_TRANSPARENCY, szTransparencyHint, 0, 0, 0
    },
    //                   SKINS       
    {
        NULL,  KEY_TAB, szSkinSectionHint, 0,0,0
	  }, 
    {
        szBgSkin,           KEY_PICTURE_EX,    szBgSkinHint, int(&szPicturesTypesName), int(&szPicturesTypes), 0
    },
    {
        szGlassSkin,       KEY_PICTURE_EX,    szGlassSkinHint, int(&szPicturesTypesName), int(&szPicturesTypes), 0
    },    
    {
        szSkin,           KEY_PICTURE_EX,    szSkinHint, int(&szPicListTypesName), int(&szPicListTypes), 0
    },
    {
        szFrames,  KEY_INT_RANGE, szFramesHint, 1, 1, 1000
    }, 
    {
        szProgressOffsetX,  KEY_INT, szProgressOffsetXHint, 0, 0, 0
	  }, 
	  {
        szProgressOffsetY,  KEY_INT, szProgressOffsetYHint, 0, 0, 0
	  },
    //                FONTS AND COLORS
    {
       szFontsAndColorsHint,  KEY_TAB, szFontsAndColorsHint, 0,0,0
	  }, 
    {
      szTextRect,       KEY_RECT,      szTextRectHint, 0, 0, 0
    },
    {
        szFont,           KEY_FONT,      szFontHint, 0, 0, 0
    },
    {
        szTextColor,      KEY_COLOR,     szTextColorHint, 0, 0, 0
    },
    {
        szShadow,         KEY_BOOL,      szShadowHint, 0, 0, 0
    },
    {
        szShadowColorH,   KEY_COLOR,     szShadowColorHint, 0, 0, 0
    },
    {
        szTextAlign,      KEY_LIST,      szTextAlignHint, 1, hPosCount,   (int)&hPos
    }
  };

//

struct TDISTINFO
{
  char letter;
  char root[4];
  AstonWND* next;
  char name[64];
  INT64 total, free, oldfree;  
  bool timer;
  int pic_index;
  int volume_layer;
  int text_layer;
};

typedef TDISTINFO *PDISTINFO; 

